Bug 129521 - fence_apc does not handle non adminstrator users for the APC 79xx series
Summary: fence_apc does not handle non adminstrator users for the APC 79xx series
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brian Stevens
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 137219
TreeView+ depends on / blocked
 
Reported: 2004-08-10 00:07 UTC by Adam "mantis" Manthei
Modified: 2014-09-09 00:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-29 21:49:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This should fix the bug by modifying a few regex's to better navigate the menus. (5.99 KB, patch)
2004-08-10 00:11 UTC, Adam "mantis" Manthei
no flags Details | Diff

Description Adam "mantis" Manthei 2004-08-10 00:07:46 UTC
Description of problem:
fence_apc does not handle non administrator users with the 79xx APC
series.  The menus for these users were worded slightly differently
than those of the admin users.  As a result, the fence script would
fail to successfully parse the menus.  

Version-Release number of selected component (if applicable):
GFS-6.0.0-1.2

APC 7900 Firmware:
     Network Management Card AOS v2.2.7
     Rack PDU APP v2.2.0

Comment 1 Adam "mantis" Manthei 2004-08-10 00:11:22 UTC
Created attachment 102551 [details]
This should fix the bug by modifying a few regex's to better navigate the menus.

Comment 2 Adam "mantis" Manthei 2004-08-10 01:16:16 UTC
should be resolved in version 1.1.2.6 of 
bedrock/fence/agents/apc/fence_apc.pl

Comment 5 Lon Hohberger 2010-10-29 21:49:39 UTC
This bugzilla is reported to have been fixed years ago.


Note You need to log in before you can comment on or make changes to this bug.